Summary: CD ripping tool using GTK+ and GStreamer
Name: sound-juicer
Version: 2.26.1
Release: %mkrel 1
License: GPLv2+
Group: Sound
URL: http://www.burtonini.com/blog/computers/sound-juicer
Source0: http://ftp.gnome.org/pub/GNOME/sources/sound-juicer/%{name}-%{version}.tar.bz2
Patch: sound-juicer-2.25.2-format-strings.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: librsvg
BuildRequires: libmusicbrainz3-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgstreamer-plugins-base-devel >= 0.8
BuildRequires: libcanberra-devel
BuildRequires: libneon-devel
BuildRequires: brasero-devel
BuildRequires: gnome-media >= 2.13.7
BuildRequires: libcdio-devel
BuildRequires: scrollkeeper
BuildRequires: hal-devel
BuildRequires: libcddb-slave2-devel
BuildRequires: gnome-doc-utils
BuildRequires: intltool
BuildRequires: taglib-devel
BuildRequires: gnome-common
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
Requires: gstreamer0.10-plugins-good
Requires: gstreamer0.10-gnomevfs
Requires: gstreamer0.10-cdparanoia
Suggests: gstreamer0.10-vorbis
Suggests: gstreamer0.10-flac
Suggests: gstreamer0.10-lame
Suggests: gstreamer0.10-faac

%description
This is Sound Juicer, a CD ripping tool using GTK+ and GStreamer.

%prep
%setup -q
%patch -p1

%build
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std 

%find_lang %{name} --with-gnome

# icons
mkdir -p %buildroot%_liconsdir
rsvg -w 48 -h 48 data/sound-juicer.svg $RPM_BUILD_ROOT%{_liconsdir}/sound-juicer.png
rsvg -w 32 -h 32 data/sound-juicer.svg $RPM_BUILD_ROOT%{_iconsdir}/sound-juicer.png
install -D -m 644 data/sound-juicer-16.png $RPM_BUILD_ROOT%{_miconsdir}/sound-juicer.png

for omf in %buildroot%_datadir/omf/*/*-{??,??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done


%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %name
%{update_menus}
%update_scrollkeeper
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas %name

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_scrollkeeper
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog
%{_sysconfdir}/gconf/schemas/sound-juicer.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/sound-juicer
%_datadir/icons/hicolor/*/apps/sound-juicer.*
%_mandir/man1/%name.1*
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf


%changelog
* Fri Apr 10 2009 Frederic Crozat <fcrozat@mandriva.com> 2.26.1-1mdv2009.1
+ Revision: 365908
- Release 2.26.1
- Remove patches 1 & 2 (merged upstream)

* Mon Apr 06 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-3mdv2009.1
+ Revision: 364298
- fix musicbrainz crash (b.g.o #578060)

* Sat Mar 28 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 361991
- fix crash in metadata lookup

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356852
- update to new version 2.26.0

* Mon Mar 09 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 353251
- new version
- drop patch 1

* Thu Feb 19 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-2mdv2009.1
+ Revision: 342856
- build only with musicbrainz3 (patch from svn)

* Fri Feb 13 2009 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 340147
- new version
- update build deps

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.2-1mdv2009.1
+ Revision: 336858
- new version
- drop patch
- fix format strings
- update build deps

* Fri Nov 28 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-2mdv2009.1
+ Revision: 307467
- fix build with musicbrainz3 and enable it

* Tue Nov 04 2008 Götz Waschk <waschk@mandriva.org> 2.25.1-1mdv2009.1
+ Revision: 299939
- update to new version 2.25.1

* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286267
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.3-1mdv2009.0
+ Revision: 282504
- new version

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.23.2-1mdv2009.0
+ Revision: 273306
- Release 2.23.2

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.1-1mdv2009.0
+ Revision: 263570
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.0-1mdv2009.0
+ Revision: 231410
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183291
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175445
- new version

* Thu Feb 14 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 167796
- new version

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 2.21.3-1mdv2008.1
+ Revision: 160736
- new version

* Sun Jan 13 2008 Götz Waschk <waschk@mandriva.org> 2.21.2-1mdv2008.1
+ Revision: 151052
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 2.21.1-1mdv2008.1
+ Revision: 140061
- new version

  + Funda Wang <fundawang@mandriva.org>
    - drop old menu
    - no need modifying xdg categories

* Thu Dec 20 2007 Götz Waschk <waschk@mandriva.org> 2.21.0-1mdv2008.1
+ Revision: 135433
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 14 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98271
- new version
- drop patch

* Fri Oct 12 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.1
+ Revision: 97338
- Patch0 (SVN): various SVN fixes (include fix for Mdv bug #34635)

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89001
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 62996
- new version
- replace some deps by suggests

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 40797
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.1-2mdv2008.0
+ Revision: 36200
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.16.4-1mdv2008.0
+ Revision: 14503
- fix omf file list
- drop patches
- new version


* Tue Mar 20 2007 Götz Waschk <waschk@mandriva.org> 2.16.3-3mdv2007.1
+ Revision: 146911
- initialize threads to fix warning on startup

* Sun Mar 18 2007 Pascal Terjan <pterjan@mandriva.org> 2.16.3-2mdv2007.1
+ Revision: 146025
- Fix error message about non existent CD-ROM drive in non UTF-8 locales

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.1
+ Revision: 115012
- new version
- fix build with new gnome-doc-utils
- update file list

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86169
- new version
- Import sound-juicer

* Wed Oct 04 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.5.1-1mdv2007.0
- Release 2.15.5.1
- Remove patch0

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.4-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 25 2006 Gtz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- new macros
- xdg menu
- New release 2.15.4

* Thu Jun 15 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- New release 2.15.3

* Wed Jun 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2.1-1mdv2007.0
- Release 2.15.2.1
- Patch0: fix build

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 2.14.4-1mdv2007.0
- New release 2.14.4

* Thu Apr 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.3-1mdk
- Release 2.14.3

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-3mdk
- Rebuild wtih latest dbus
- disable suggests until urpmi supports them

* Tue Jan 17 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-2mdk
- add some suggested gstreamer plugins

* Thu Nov 24 2005 Gtz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- drop patch
- New release 2.12.3

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-3mdk
- fix buildrequires

* Wed Oct 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Patch0: fix crash when opening preferences (Mdk bug #19128)

* Tue Oct 11 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-1mdk
- Release 2.12.2

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)

* Tue Apr 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-3mdk 
- Patch0 (CVS): fix default profile name (Mdk bug #15005)

* Fri Feb 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.6.0-2mdk
- add BuildRequires: libgstreamer-plugins-devel

* Fri Feb 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-1mdk
- New release 0.6.0
- Remove patch0 (merged upstream)

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.15-1mdk 
- Release 0.5.15
- Remove patches 0 & 1 (merged upstream)
- Patch 0: allow compilation with HAL 0.4.1

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-3mdk 
- Patch1 (Fedora): improve idle handler safety
- Enable HAL

* Tue Nov 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-2mdk 
- Patch0: better error handling (allow to rip some CDs with incomplete
  musicbrainz metadata)

* Thu Oct 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.14-1mdk
- New release 0.5.14
- Remove patch0 (merged upstream)

* Thu Sep 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.12-2mdk
- Patch0 (CVS): various bug fixes

* Fri Jun 18 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.12-1mdk
- New release 0.5.12

* Mon Jun 07 2004 Abel Cheung <deaddog@deaddog.org> 0.5.11-2mdk
- Rebuild with new gcc
- Use ImageMagick to convert icons

* Sat May 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.5.11-1mdk
- New release 0.5.11

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-5mdk
- fix buildrequires

* Sat Apr 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-4mdk
- new musicbrainz

* Wed Apr 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.10.1-3mdk
- rebuild for gstreamer 0.8

